Subject: Re: [PATCH] rtlwifi: usb parts should depend on CONFIG_USB

From: Larry Finger <[email-masked]>
Date: Mon, 28 Feb 2011 15:27:44 -0600

On 02/28/2011 03:21 PM, Johannes Berg wrote:
> On Mon, 2011-02-28 at 15:16 -0600, Larry Finger wrote:
>> On 02/28/2011 02:13 PM, John W. Linville wrote:
>>> On Mon, Feb 28, 2011 at 09:08:51PM +0100, Johannes Berg wrote:
>>>> On Mon, 2011-02-28 at 14:48 -0500, John W. Linville wrote:
>>>>>
>>>>> +ifeq ($(CONFIG_USB),y)
>>>>> +rtlwifi-objs	+= usb.o
>>>>> +endif
>>>>
>>>> That reads weird, shouldn't
>>>>
>>>> rtlwifi-$(CONFIG_USB) += usb.o
>>>>
>>>> do? Or more likely actually use CONFIG_RTL8192CU?
>>>
>>> Maybe...really just following what Larry already had there for pci...?
>>
>> Yes, and that was wrong too.
>>
>> It could be either as Johannes wrote it, or
>
> No, what I said won't work for m either, since you'd get
>
> rtlwifi-m += usb.o
>
> Though you can make that work by adding $(rtlwifi-m) manually to the
> list of objects later.

I just tested it. As you say, your solution only works for y, not m.

I think this is what is needed:

-ifeq ($(CONFIG_PCI),y)
+ifneq ($(CONFIG_PCI),)
  rtlwifi-objs   += pci.o
  endif

+ifneq ($(CONFIG_USB),)
+rtlwifi-objs   += usb.o
+endif
+

At least it works wit PCI=y and USB=m.

Larry
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html